cURL
curl --request GET \
--url https://test.deribit.com/api/v2/private/set_coinbase_subaccount_withdrawals_allowed \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 42,
"method": "private/set_coinbase_subaccount_withdrawals_allowed",
"params": {
"enabled": true
}
}
'import requests
url = "https://test.deribit.com/api/v2/private/set_coinbase_subaccount_withdrawals_allowed"
payload = {
"jsonrpc": "2.0",
"id": 42,
"method": "private/set_coinbase_subaccount_withdrawals_allowed",
"params": { "enabled": True }
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 42,
method: 'private/set_coinbase_subaccount_withdrawals_allowed',
params: {enabled: true}
})
};
fetch('https://test.deribit.com/api/v2/private/set_coinbase_subaccount_withdrawals_allowed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 42,
"result": {
"enabled": true
}
}Wallet
private/set_coinbase_subaccount_withdrawals_allowed
Allows or disallows withdrawals from subaccounts. Can be called only by the main account; subaccounts receive a forbidden error. The setting applies to Coinbase wallet type withdrawals โ when disabled, private/withdraw requests from subaccounts of a Coinbase wallet type account are rejected.
๐ Related Article: Managing Withdrawals
Scope: wallet:read_write
cURL
Query Parameters
If true, subaccounts of the account are allowed to withdraw
Example:
true
Response
200 - application/json
Success response
Related topics
Coinbase Wallet APIprivate/withdrawprivate/cancel_withdrawalprivate/coinbase/estimate_withdrawal_feeprivate/set_address_requires_security_keyWas this page helpful?